#!/usr/bin/python3
import sys, re, os, pg, locale, glob
from dialog import Dialog

## Initialize a dialog.Dialog instance
d = Dialog(dialog="dialog")

locale.setlocale(locale.LC_ALL, "")
sourcedir = "/home/wn/python/webgen/"
targetdir = "/home/wn/www/i21k.de/posts/"
sourcefolder = os.listdir(sourcedir)
targetfolder = os.listdir(targetdir)
xwidth = os.get_terminal_size()[0] - 10
ywidth = os.get_terminal_size()[1] - 10

# Put files in sourcefolder into list
zahl = 0
tabelle = [("", "")]
for zeile in sourcefolder:
    tabelle.insert(zahl, (str(zahl), zeile))
    zahl += 1

# Open list in menu and let user choose one
ausgewaehlt = d.menu("Biddesehr:", width=xwidth, height=0, menu_height=ywidth, title="Such dir ne Datei", choices=tabelle)

# Clean filename from leading .md for later construction of a headline
fn = re.sub("\.md$", "", tabelle[int(ausgewaehlt[1])][1])

sourcefile = glob.glob(sourcedir + fn + ".md")
targetfile = glob.glob(targetdir + "[0-9][0-9][0-9][0-9]-[0-9][0-9]-[0-9][0-9] [0-2][0-9]:[0-6][0-9]        " + fn + "*")
print("Sourcefile: ", sourcefile, "\nTargetfile: ", targetfile)
